<?php declare(strict_types=1);

use CodeIgniter\CodingStandard\CodeIgniter4;
use Nexus\CsConfig\Factory;
use PhpCsFixer\Finder;

$finder = (new PhpCsFixer\Finder())
    ->in(__DIR__)
    ->exclude('var');

$overrides = [
	'blank_line_after_opening_tag' => false,
	'linebreak_after_opening_tag' => false,
	'declare_strict_types' => true,
	'elseif'               => false,
];

$options = [
	'finder' => $finder,
];

return Factory::create(new CodeIgniter4(), $overrides, $options)->forProjects();
